# $Revision: 1.12 $, $Date: 2005/03/12 12:32:37 $

#
# todo:
# - use external rxp
# - make documentation from rml file instead of downloading it
#   (need for spec for http://www.reportlab.org/rl_toolkit.html)
#


%define	module	pyRXP

Summary:	A Python wrapper for the RXP parser
Summary(pl):	Pythonowy interfejs do analizatora XML RXP
Name:		python-%{module}
Version:	0.9
Release:	2
License:	GPL v2
Group:		Libraries/Python
Source0:	http://www.reportlab.org/ftp/%{module}-0-9.tgz
# Source0-md5:	7d69870d3884f9e40f111a62525e0d77
Source1:	http://www.reportlab.com/docs/PyRXP_Documentation.pdf
# Source1-md5:	3ae69ba61f1facea5b76e91dbee8718e
URL:		http://www.reportlab.org/pyrxp.html
BuildRequires:	python-devel >= 2.2.1
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyRXP is a Python wrapper for RXP, a validating namespace-aware
XML parser in C.

%description -l pl
pyRXP to pythonowy interfejs do RXP - kontrolujcego poprawno
analizatora XML-a z obsug przestrzeni nazw, napisanego w C.

%package doc
Summary:	Documentation for Python pyRXP module
Summary(pl):	Dokumentacja do moduu Pythona pyRXP
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for Python pyRXP module.

%description doc -l pl
Pakiet zawierajcy dokumentacj dla moduu Pythona pyRXP.

%package examples
Summary:	Example programs for Python pyRXP module
Summary(pl):	Programy przykadowe do moduu Pythona pyRXP
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pyRXP module.

%description examples -l pl
Pakiet zawierajcy programy przykadowe dla moduu Pythona pyRXP.

%prep
%setup -q -c %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

cp -a %{SOURCE1} docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so

%files doc
%defattr(644,root,root,755)
%doc docs/PyRXP_Documentation.pdf

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyRXP.spec,v $
Revision 1.12  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.11  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/06/14 21:11:15  zboczuch
- examples submodule
- doc submodule with external source (it is possible to omit external
  doc fetching, but another spec is required)
- rel. 2

Revision 1.9  2004/06/14 20:53:37  zboczuch
- ReportLab hostes its open source projects on .org general domain
- cosmetics

Revision 1.8  2004/06/06 21:49:58  troll
- updated URL
- rel 1

Revision 1.7  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.5  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/06/24 22:18:38  qboosh
- pl

Revision 1.3  2003/06/22 09:59:13  wrobell
- more todo

Revision 1.2  2003/06/22 09:55:39  wrobell
- fixed persmissions
- fixed BR
- typos

Revision 1.1  2003/06/22 09:34:32  deejay1
- initial release, NFY but works
